Subject: Re: [PATCH] git-daemon: more powerful base-path/user-path settings, using formats.

From: Pierre Habouzit <[email-masked]>
Date: Sun, 27 Aug 2006 12:28:09 +0200

Le dim 27 août 2006 08:12, Junio C Hamano a écrit :
> Pierre Habouzit <[email-masked]> writes:
> > Allow a form of virtualhosting, when %h format is used.
> >
> > Signed-off-by: Pierre Habouzit <[email-masked]>
> > ---
> >
> >     This is intended to be a more flexible solution, that also
> > gives virtual hosting as a bonus.
>
> Nicely done, almost.
>
> Having to have the distinction between %p and %P formats feels
> somewhat unwieldy, though.  Not that I have a better suggestion.
>
> > +int is_base_path_fmt;
> > +int is_user_path_fmt;
>
> I prefer these to be of type "static int".

omg, how did I missed that.

> Although I am not an authority of variable naming, these sound
> funny to me.  "is_XXX()" as a function name feels natural,
> "is_XXX" as a variable name does not --- it is not clear what
> the predicate is talking about.
>
> Maybe "use_fmt_for_base_path" is easier to understand?  I dunno.
> Or "user_path_is_fmt"?  That's more logical but still somewhat
> feels funny.

agreed.

There is also a second patch that never made it to the list that fixes:
 * some indentation problems due to a bad vimrc
 * --default-hostname switch (to handle virtual hosts even with older
   clients)
 * possible overflow in the formatting method.

I'll recompute a new patch that superseeds that one, and merge your 
comments and my never sent patch too.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org